

// dimensions du E 42/21/20 de chez Epcos
hE = 21.2e-3;
hb = 14.8e-3;
lE = 42e-3;
ln = 12.2e-3;
lb = (29.5e-3-ln)/2;
pE = 20e-3;
ei = 1e-3;

Ri = 1.1*Sqrt[hE^2+(lE/2)^2+(pE/2)^2];
Re = 1.1*Ri;

mu0 = 4e-7*Pi;
mur = 500;

//Jauge_arbre = 1;
//NonLineaire = 1;

DefineConstant[ 
  type_g = {2, Choices {1="0,25 mm", 2="0,5 mm", 3="1 mm", 4="1,5 mm"},
    Name "Modele/01Parametres inductance/01Entrefer"},
  N = {40, Min 1, Max 60, Step 1,  
    Name "Modele/01Parametres inductance/02Nombre de spires"},
  I = {15, Min 1, Max 18, Step 1,  
    Name "Modele/01Parametres inductance/03Courant"},
  Jauge_arbre = {1, Choices {0="Coulomb", 1="jauge d'arbre"},
    Name "Modele/02Parametres de resolution/01Type de jauge"},
  NonLineaire = {1, Choices {0="Lineaire", 1="Non-lineaire"},
    Name "Modele/02Parametres de resolution/02Loi B(H) dans Ferrite"}
];  

If (type_g == 1) 
  g = 0.25e-3;
  ElseIf (type_g == 2) 
  g = 0.5e-3;
  ElseIf (type_g == 3) 
  g = 1e-3;
  Else
  g = 1.5e-3;
EndIf

NL_tol_abs = 1e-6; // absolute tolerance on residual for noninear iterations
NL_tol_rel = 1e-6; // relative tolerance on residual for noninear iterations
NL_iter_max = 20; // maximum number of noninear iterations

Sb = (lb-2*ei)*(2*(hb-ei)); // surface bobine 
//I = 15;
//N = 40; // (grand max = 4 x 16)



FERRITE = 1000;
BOBINEA = 1001;
BOBINEB = 1002;
BOBINEC = 1003;
AIR = 1004;
AIRGAP = 1005;
BOITEINF = 1006;
BORDS = 5000; 






